Skip to main content
GET
/
api
/
v1
/
org
/
helm
/
charts
/
chart
/
{repository_name}
/
{chart_name}
/
{chart_version}
/
files
Get Helm Chart Files Endpoint
import requests

url = "https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
curl --request GET \
--url https://platform.ankra.app/api/v1/org/helm/charts/chart/{repository_name}/{chart_name}/{chart_version}/files \
--header 'Authorization: Bearer <token>'
{
  "files": [
    {
      "is_binary": true,
      "path": "<string>",
      "size": 123,
      "base64_content": "<string>",
      "content_omitted": false
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

authorization
string | null
x-ankra-organisation-id
string | null

Path Parameters

repository_name
string
required
Maximum string length: 253
chart_name
string
required
Maximum string length: 253
chart_version
string
required
Maximum string length: 128

Response

Successful Response

files
ChartFileEntry · object[]
required